Query edge application instances (v1)
GET /api/v1/apps/instances. Edge applications API reference.
curl --request GET \
--url https://{apiHost}/api/v1/apps/instances \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/apps/instances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/apps/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": true,
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"clusterID": "<string>",
"vminfo": {
"cpus": 123,
"memory": 123,
"mode": "HV_PV",
"vnc": true,
"vncDisplay": 123,
"cpuPinningEnabled": true,
"vmmMaxmem": 123,
"bootloaderMode": "VM_BOOTLOADER_MODE_UNSPECIFIED",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": true,
"preserve": true,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"runtimeInternal": true
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"logs": {
"access": true
},
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": true
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": true,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": true,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": true,
"immediate": true
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": true
},
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"datastoreIdList": [
"<string>"
],
"PersistentRuntimeSizeBytes": "<string>"
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Query Parameters
User defined name of the project, unique across the enterprise. Once project is created, name can’t be changed
User defined name of the app instance, unique across the enterprise. Once app instance is created, name can’t be changed
User defined name of the device, unique across the enterprise. Once device is created, name can’t be changed
name pattern
type of bundle
type of deployment for the app, eg: azure, k3s, standalone
DEPLOYMENT_TYPE_UNSPECIFIED, DEPLOYMENT_TYPE_STAND_ALONE, DEPLOYMENT_TYPE_AZURE, DEPLOYMENT_TYPE_K3S, DEPLOYMENT_TYPE_AWS, DEPLOYMENT_TYPE_K3S_AZURE, DEPLOYMENT_TYPE_K3S_AWS, DEPLOYMENT_TYPE_VMWARE_VCE, DEPLOYMENT_TYPE_VMWARE_TKG_ATTACH, DEPLOYMENT_TYPE_DOCKER_RUNTIME project name pattern
device name pattern
summary flag
title pattern
Page Token
OrderBy helps in sorting the list response
Page Number
Defines the page size
Total number of pages to be fetched.
Fields to select: id, name, title, description, projectId, tags, clusterID, appId, deviceId, manifestInfo, appType, appPolicyId, userDefinedVersion, remoteConsole
Response
A successful response.
Was this page helpful?
curl --request GET \
--url https://{apiHost}/api/v1/apps/instances \
--header 'Authorization: Bearer <token>'import requests
url = "https://{apiHost}/api/v1/apps/instances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{apiHost}/api/v1/apps/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"summaryByState": {
"description": "<string>",
"total": 123,
"values": {}
},
"list": [
{
"name": "<string>",
"title": "<string>",
"projectId": "<string>",
"appId": "<string>",
"deviceId": "<string>",
"activate": true,
"id": "<string>",
"description": "<string>",
"revision": {
"curr": "<string>",
"createdAt": {},
"createdBy": "<string>",
"updatedAt": {},
"updatedBy": "<string>",
"prev": "<string>"
},
"tags": {},
"clusterID": "<string>",
"vminfo": {
"cpus": 123,
"memory": 123,
"mode": "HV_PV",
"vnc": true,
"vncDisplay": 123,
"cpuPinningEnabled": true,
"vmmMaxmem": 123,
"bootloaderMode": "VM_BOOTLOADER_MODE_UNSPECIFIED",
"enableOemWinLicenseKey": true,
"disableVTPM": true
},
"drives": [
{
"imagename": "<string>",
"maxsize": 123,
"readonly": true,
"preserve": true,
"drvtype": "<string>",
"target": "<string>",
"volumelabel": "<string>",
"mvolname": "<string>",
"imvolname": "<string>",
"ignorepurge": true,
"cleartext": true,
"mountpath": "<string>",
"runtimeInternal": true
}
],
"interfaces": [
{
"intfname": "<string>",
"netname": "<string>",
"io": {
"type": "IO_TYPE_UNSPECIFIED",
"name": "<string>",
"tags": {}
},
"intforder": 123,
"directattach": true,
"privateip": true,
"acls": [
{
"matches": [
{
"type": "<string>",
"value": "<string>"
}
],
"actions": [
{
"drop": true,
"limit": true,
"limitrate": 123,
"limitunit": "<string>",
"limitburst": 123,
"portmap": true,
"mapparams": {
"port": 123
}
}
],
"id": 123,
"name": "<string>"
}
],
"ipaddr": "<string>",
"macaddr": "<string>",
"accessVlanId": 2047.5,
"eidregister": {
"AppCert": "aSDinaTvuI8gbWludGxpZnk=",
"AppPublicKey": "aSDinaTvuI8gbWludGxpZnk=",
"AppPrivateKey": "aSDinaTvuI8gbWludGxpZnk=",
"UUID": "<string>",
"DisplayName": "<string>",
"LispInstance": 123,
"EID": "<string>",
"EIDHashLen": 123,
"LispSignature": "<string>",
"LispMapServers": [
{
"nameOrIp": "<string>",
"credential": "<string>"
}
]
},
"netinstname": "<string>",
"netinsttag": {},
"netinstid": "<string>",
"defaultNetInstance": true,
"allowToDiscover": true
}
],
"userData": "<string>",
"customConfig": {
"name": "<string>",
"add": true,
"override": true,
"allowStorageResize": true,
"fieldDelimiter": "<string>",
"template": "<string>",
"variableGroups": [
{
"name": "<string>",
"variables": [
{
"format": "VARIABLE_FORMAT_TEXT",
"name": "username",
"label": "Enter User Name",
"required": "True"
}
],
"required": true,
"condition": {
"name": "<string>",
"value": "<string>",
"operator": "CONDITION_OPERATOR_UNSPECIFIED"
}
}
]
},
"collectStatsIPAddr": "<string>",
"bundleversion": "<string>",
"logs": {
"access": true
},
"restart": {
"counter": 123,
"opsTime": {}
},
"refresh": {
"counter": 123,
"opsTime": {}
},
"purge": {
"counter": 123,
"opsTime": {}
},
"remoteConsole": true,
"encryptedSecrets": {},
"cryptoKey": "<string>",
"manifestInfo": {
"bundleVersion": "<string>",
"nextBundleVersion": "<string>",
"transitionAction": "INSTANCE_TA_UNSPECIFIED",
"params": {},
"details": {
"cause": "TRANS_CAUSE_UNSPECIFIED",
"severity": "<string>",
"scope": {
"type": "OBJECT_TYPE_UNSPECIFIED",
"id": "<string>"
}
},
"enablevnc": true
},
"appType": "APP_TYPE_UNSPECIFIED",
"isSecretUpdated": true,
"appPolicyId": "<string>",
"deploymentType": "DEPLOYMENT_TYPE_UNSPECIFIED",
"userDefinedVersion": "<string>",
"startDelayInSeconds": 123,
"cloudInitVersion": 123,
"allowSnapshots": true,
"maxSnapshots": 123,
"availableSnapshots": [
{
"name": "<string>",
"id": "<string>",
"state": "INVALID",
"config": {},
"activate": true,
"immediate": true
}
],
"patchEnvelopeId": "<string>",
"patchEnvelopeName": "<string>",
"edgeNodeCluster": {
"id": "<string>",
"designatedNodeID": "<string>",
"name": "<string>",
"enableAppPinning": true
},
"dockerComposeYamlText": "<string>",
"dockerComposeTarImageName": "<string>",
"datastoreIdList": [
"<string>"
],
"PersistentRuntimeSizeBytes": "<string>"
}
],
"next": {
"pageToken": "<string>",
"orderBy": [
"<string>"
],
"pageNum": 123,
"pageSize": 123,
"totalPages": 123
}
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"operationType": "OPS_TYPE_UNSPECIFIED",
"operationStatus": "OPS_STATUS_UNSPECIFIED",
"objectKind": "<string>",
"objectId": "<string>",
"objectName": "<string>",
"objectRevision": "<string>",
"objectType": "OBJECT_TYPE_UNSPECIFIED",
"operationTime": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"user": "<string>",
"httpStatusCode": 123,
"httpStatusMsg": "<string>",
"jobId": "<string>",
"error": [
{
"ec": "zMsgErrorNone",
"location": "<string>",
"details": "<string>"
}
]
}{
"code": 123,
"message": "<string>",
"details": [
{
"typeUrl": "<string>",
"value": "aSDinaTvuI8gbWludGxpZnk="
}
]
}